 /*______________________________________________________________________________
 *
 * Copyright 2005 NORSYS
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * (1) Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *
 * (2) Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in
 *     the documentation and/or other materials provided with the
 *     distribution.
 *
 * (3) The name of the author may not be used to endorse or promote
 *     products derived from this software without specific prior
 *     written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *______________________________________________________________________________
 *
 * Created on 26 sept. 2005
 * Author: Arnaud Bailly
 */
package speculoos.core;

/**
 * Classe d'exception racine pour l'ensemble du cadriciel mapper.
 * <p />
 * Une exception de ce type est lance lors des oprations de mapping. Les
 * diffrentes sous-classes indiquent la catgorie d'exception qui a t 
 * rencontre :
 * <li>
 * <ul>les exceptions relatives  un mauvais paramtrage ;</li>
 * <li>les exceptions provenant des services techniques 
 * auxquels accde le composant ;</li>
 * <li>les exceptions lies au cycle de vie du composant : erreurs
 * dans la configuration, absence de service requis, ...</li>
 * </ul>
 * Elle peut ventuellement encapsuler une exception de plus bas niveau,
 * mais il est prfrable en gnral d'viter ce genre d'empilage.
 *  
 * @author nono
 * @version $Id: MapperException.java 259 2006-05-23 10:34:50Z /C=FR/ST=Nord/L=Lille/O=Norsys SA/OU=UE/CN=Arnaud Bailly/emailAddress=abailly@norsys.fr $
 */
public class MapperException extends Exception {

	/**
	 * 
	 */
	public MapperException() {
		super();
	}

	/**
	 * @param message
	 */
	public MapperException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public MapperException(Throwable cause) {
		super(cause);
	}

	/**
	 * @param message
	 * @param cause
	 */
	public MapperException(String message, Throwable cause) {
		super(message, cause);
	}

}
