/**
 * Copyright (C) 2006 OQube 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *  
 * author: Arnaud Bailly - abailly AT oqube DOT com
 * created: 14 juin 2006
 */
package speculoos.utils;


/**
 * An interface implemented by all classes that make use
 * of {@see fr.lifl.utils.TypeHelper} object methods.
 * This interface allows easy sharing of TypeHelper instance
 * between various objects.
 * 
 * @author nono
 *
 */
public interface TypeManipulator {

	/**
	 * 
	 * @return typehelper object used.
	 */
	public TypeHelper getTypeHelper() ;

	/**
	 * @param typeHelper
	 *            The typeHelper to set.
	 */
	public void setTypeHelper(TypeHelper typeHelper) ;

}
