/**
 * Copyright (C) 2006 OQube 
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *  
 * author: Arnaud Bailly - abailly AT oqube DOT com
 * created: 14 juin 2006
 */
package speculoos.valid;

import speculoos.utils.TypeHelper;
import speculoos.utils.TypeManipulator;

/**
 * Base class for validators.
 * Thsi class essentially provides properties for holding 
 * {@see fr.lifl.utils.TypeHelper} references that may be used
 * by subclasses.
 * 
 * @author nono
 *
 */
public abstract class AtomicValidator implements Validator,TypeManipulator {


	/*
	 * type helper to set values in object
	 */
	private TypeHelper typeHelper;

	/**
	 * @return Returns the typeHelper.
	 */
	public TypeHelper getTypeHelper() {
		return typeHelper;
	}

	/**
	 * @param typeHelper
	 *            The typeHelper to set.
	 */
	public void setTypeHelper(TypeHelper typeHelper) {
		this.typeHelper = typeHelper;
	}


}
